Bug 169047 - "Found unused inode marked in-use" while running gfs_fsck
"Found unused inode marked in-use" while running gfs_fsck
Status: CLOSED NOTABUG
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Abhijith Das
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-22 11:07 EDT by Corey Marthaler
Modified: 2010-01-11 22:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-04 12:59:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2005-09-22 11:07:16 EDT
Description of problem:
Nate and I have been seeing this warnings while running gfs_fsck regression
tests. Possibly related to bz 150207 however we don't see the thousands of
messages spitting out anymore. Can these messages be expected in recovery cases
or is this a true bug?


Version-Release number of selected component (if applicable):
GFS-6.1.2-0

How reproducible:
quite often while running REG tests

Steps to reproduce:
1. create a gfs and populate with I/O
2. during I/O kill the cluster
3. bring the cluster back up but before mounting run gfs_fsck
Comment 1 Abhijith Das 2006-01-04 12:59:02 EST
These messages are expected behavior and this is not a true bug. When the
cluster is killed during IO, metadata is not consistent. This is fixed either by
mounting GFS (thereby replaying journals to restore consistency) or by running
gfs_fsck to fix these issues. gfs_fsck is simply reporting the inconsistencies
that it finds with the above messages.

Note You need to log in before you can comment on or make changes to this bug.